#include <iostream>
using namespace std;

int main()
{
   int i,j,n,l,r,q,pr,s;
   cin>>n;
   int a[200001];
   bool b[100001];
   for(i=0;i<n;i++)
   {
       cin>>a[i];
   }
   cin>>q;
   for(i=0;i<q;i++)
   {
       cin>>l;
       cin>>r;
       if(l==r)
       {
           b[i]=true;
       }
       else
        {
       pr=a[l-1];
       s=0;
       for(j=l;j<r;j++)
       {
           if(a[j]<pr)
           {
               s++;
               if(s>1)
                break;
           }
           pr=a[j];
       }
       if(s<2)
       {
           b[i]=true;
       }
       else
        b[i]=false;
       }
   }
   for(i=0;i<q;i++)
   {
       if(b[i]==true)
        cout<<"DA"<<endl;
       else
        cout<<"NE"<<endl;
   }
    return 0;
}